﻿Imports System.Text.RegularExpressions


Public Class frmMain

    Private Sub btnValidate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnValidate.Click

        'Declare the variables
        Dim FoundMatch As Boolean

        'Check whether email address is valid
        Try
            FoundMatch = Regex.IsMatch(txtEMail.Text, "\A(?:[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?)\Z", RegexOptions.IgnoreCase)
        Catch ex As ArgumentException 'Syntax error in the regular expression
        End Try

        'Display a message to the user whether it is valid or not
        If Not FoundMatch Then
            MsgBox("Not a Valid Email Address")
        Else
            MsgBox("Valid Email Address")
        End If

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click

        'Exit the program
        End

    End Sub

End Class
